"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const checkMarkerInSeries = require("./checkMarkerInSeries.js");
const MarkPointModel = require("./MarkPointModel.js");
const MarkPointView = require("./MarkPointView.js");
function install(registers) {
  registers.registerComponentModel(MarkPointModel.default);
  registers.registerComponentView(MarkPointView.default);
  registers.registerPreprocessor(function(opt) {
    if (checkMarkerInSeries.default(opt.series, "markPoint")) {
      opt.markPoint = opt.markPoint || {};
    }
  });
}
exports.install = install;
